/// <reference types="react" />
export interface Colors {
    dark?: string;
    light?: string;
}
export interface Options {
    type?: string;
    quality?: number;
    level?: string;
    margin?: number;
    scale?: number;
    width?: number;
    color?: Colors;
}
export interface IQRCode {
    text: string;
    options?: Options;
}
export declare function useQRCode(): {
    Image: <T extends HTMLImageElement>({ text, options, }: IQRCode) => JSX.Element;
    Canvas: <T_1 extends HTMLCanvasElement>({ text, options, }: IQRCode) => JSX.Element;
};
